#
# spec file for package python3-django-contact-form
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-django-contact-form
Version:        1.2
Release:        2.6
Url:            https://github.com/ubernostrum/django-contact-form
Summary:        Generic contact-form application for Django
License:        BSD License
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/d/django-contact-form/django-contact-form-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-akismet
Requires:       python3-django
BuildArch:      noarch

%description
Base contact form class from which all contact form classes should inherit.
If you don't need any custom functionality, you can simply use
this form to provide basic contact functionality; it will collect
name, email address and message.

%prep
%setup -q -n django-contact-form-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Tue Jan 19 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.2:
  (no changelog available)
* Wed Jul 15 2015 arun@gmx.de
- specfile:
  * update copyright year
  * removed mod_name
  * updated url
  * README->README.rst
  * use setuptools
- update to version 1.1:
  (no changelog available)
* Fri Sep 27 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Sep 27 2013 p.drouand@gmail.com
- Update to version 1.0
  + No changelog available
- Add documentation from tarball
- Use download url as source
- Remove redundant %%clean section
* Mon May 30 2011 alexandre@exatati.com.br
- Regenerate spec file with py2pack;
- Bzip2 source file.
* Mon May 23 2011 oliver.bengs@opensuse.org
- update to 0.3.1
* Wed Sep 15 2010 alexandre@exatati.com.br
- Added python-akismet as requirement;
- Spec file cleaned with spec-cleaner.
